%	description : parameter file for ADVANCE empty module
%	author      : J.Eelkema
%
%  ============================================================
%   ADVANCE, TNO, The Netherlands
%   advance@wt.tno.nl
%  ============================================================

% Vehicle Parameters
L_0=0.27; %wheel base of truck
L_0b=0.05; % distance rear truck axle to first kingpin (positive means in front of the axle)
L_1f=0.6; % wheel base trailer of first trailer (distance kingpin to rear axle first trailer)
L_0f=L_0;


% Controller gains
steer_sens=1.5;            % Steering sensitivity controller gain 
lookahead_time=0.005;       % Lookahead time controller gain 
lg1 = 0.8;
lg2 = 0.2;
Kh = 0.4;

% Initial Conditions
IC_theta0=deg2rad(180);     %Initial heading angle of the truck
IC_theta1=deg2rad(180);     %Initial heading angle of the first trailer 

IC_x0=10.3; %initial condtion truck rear axle X 
IC_y0=22; %initial condition truck rear axle Y

%____Connection information__________________________
%The con_info structure describes the signals and the order of the signals that are needed for on the con_i port.
%The 'desr' field gives a description of the signal and the 'unit' field contains the required unit.
%This information is used for the GUI of the ADVANCE busselector.
con_info(1).descr = 'x1_f (X coordinate of first kingpin)';
con_info(1).unit = '[m]';
con_info(2).descr = 'x1 (X coordinate of semitrailer rear axle)';
con_info(2).unit = '[m]';
con_info(3).descr = 'y1_f (Y coordinate of first kingpin)';
con_info(3).unit = '[m]';
con_info(4).descr = 'y1 (Y coordinate of semitrailer rear axle)';
con_info(4).unit = '[m]';
con_info(5).descr = 'gamma_1 (Articulation angle between tractor and semitrailer)';
con_info(5).unit = '[rad]';
con_info(6).descr = 'theta_1 (Semitrailer yaw angle)';
con_info(6).unit = '[rad]';
con_info(7).descr = 'v_1 (Velocity of semitrailer)';
con_info(7).unit = '[m/s]';


%%%%%%%%%%%
%revision history
% 
