%	description : parameter file for ADVANCE empty module
%	author      : J.Eelkema
%
%  ============================================================
%   ADVANCE, TNO, The Netherlands
%   advance@wt.tno.nl
%  ============================================================

% Vehicle Parameters
L_0=0.27; %wheel base of truck
L_0b=0.05; % distance rear truck axle to first kingpin (positive means in front of the axle)
L_1f=0.6; % wheel base trailer of first trailer (distance kingpin to rear axle first trailer)
L_0f=L_0;


% Initial Conditions
IC_theta0=deg2rad(180);     %Initial heading angle of the truck
IC_theta1=deg2rad(180);     %Initial heading angle of the first trailer 

IC_x0=10.3; %initial condtion truck rear axle X 
IC_y0=22; %initial condition truck rear axle Y

%____Connection information__________________________
%The con_info structure describes the signals and the order of the signals that are needed for on the con_i port.
%The 'desr' field gives a description of the signal and the 'unit' field contains the required unit.
%This information is used for the GUI of the ADVANCE busselector.
con_info(1).descr = 'v_0 (Velocity of tractor)';
con_info(1).unit = '[m/s]';
con_info(2).descr = 'delta_I2K (Steering angle after inverse kinematics)';
con_info(2).unit = '[rad]';

%%%%%%%%%%%
%revision history
% 
